Bug 1273296 - [ALL_LANG][firewalld] Translation incomplete
[ALL_LANG][firewalld] Translation incomplete
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Thomas Woerner
Engineering Localization bugs mailing list
: Translation
Depends On:
Blocks: 1262678 1340415 1382652
  Show dependency treegraph
 
Reported: 2015-10-20 03:27 EDT by Bhushan Barve
Modified: 2016-11-03 17:01 EDT (History)
10 users (show)

See Also:
Fixed In Version: firewalld-0.4.3.2-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 17:01:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FAIL category definition document (15.53 KB, application/vnd.oasis.opendocument.graphics)
2015-10-20 03:27 EDT, Bhushan Barve
no flags Details
Russian PO (61.96 KB, text/plain)
2016-09-01 06:49 EDT, Noriko Mizumoto
no flags Details
Italian PO (53.76 KB, text/plain)
2016-09-01 06:50 EDT, Noriko Mizumoto
no flags Details
Translations patch for it and ru languages (90.54 KB, patch)
2016-09-01 23:51 EDT, Parag Nemade
no flags Details | Diff
spec file changes for above it and ru languages patch (775 bytes, patch)
2016-09-01 23:52 EDT, Parag Nemade
no flags Details | Diff
Complete translation update patch containing also it and ru (229.73 KB, patch)
2016-09-06 05:13 EDT, Thomas Woerner
no flags Details | Diff

  None (edit)
Description Bhushan Barve 2015-10-20 03:27:44 EDT
Created attachment 1084638 [details]
FAIL category definition document

Description of problem: As reported by the translators in the l10n qa event, translations for this package falls under FAIL-3, FAIL-4 and FAIL-2  Categories.


Version-Release number of selected component (if applicable):
firewalld-0.3.9-14.el7.noarch

How reproducible:
always

Steps to Reproduce:
1.NA 
2.
3.

Actual results:
Translations are not completed.

Expected results:
Translation should be completed 100% and be pulled and build in the package in order to reflect the translation work done in UI/CLI.

Additional info:
FAIL Categories are defined by l10n team lead, and the file is attached with this bug.
Comment 2 Noriko Mizumoto 2016-01-14 22:51:33 EST
Could you please provide the translation stats?
Comment 3 Krishna Babu K 2016-01-15 07:01:45 EST
branch: * rhel-7.3
Name: firewalld
Version: 0.3.9
Release: 14%{?dist}
 
./PKG_NAME.pot: 0 translated messages, 313 untranslated messages.
 
Translated LANGs:
 
Fuzzy LANGs:
 
Untranslated LANGs:
./de.po: 311 translated messages, 1 untranslated message.
./es.po: 311 translated messages, 1 untranslated message.
./fr.po: 311 translated messages, 1 untranslated message.
./it.po: 311 translated messages, 1 untranslated message.
./ja.po: 311 translated messages, 1 untranslated message.
./ko.po: 311 translated messages, 1 untranslated message.
./pt_BR.po: 311 translated messages, 1 untranslated message.
./ru.po: 311 translated messages, 1 untranslated message.
./zh_CN.po: 311 translated messages, 1 untranslated message.
./zh_TW.po: 311 translated messages, 1 untranslated message.
Comment 4 Thomas Woerner 2016-01-15 12:52:04 EST
I am plan to do a rebase to the latest firewalld version for 7.3. There are some new features and the translations in the master tree at https://fedora.zanata.org/iteration/view/firewalld/master are not complete.

What it the proper way to handle this?
Comment 5 Noriko Mizumoto 2016-01-18 20:54:29 EST
Hi Thomas

 (In reply to Thomas Woerner from comment #4)
> I am plan to do a rebase to the latest firewalld version for 7.3. There are
> some new features and the translations in the master tree at
> https://fedora.zanata.org/iteration/view/firewalld/master are not complete.

Thank you for the update. I will organize the translation resource for RHEL pkgs, and look at to allocate the resource in early stage of Development phase.
When the master tree at zanata above ready to work, or has it already ready to go?

> 
> What it the proper way to handle this?

Once I know correct repo ready to work, I will take this bug. When all ten languages translation is completed, the bug will be assigned back to you.
Comment 6 sandeep shedmake 2016-01-21 02:31:43 EST
(In reply to Krishna Babu K from comment #3)
> branch: * rhel-7.3
> Name: firewalld
> Version: 0.3.9
> Release: 14%{?dist}
>  

Correction: regenerated PO statistics with 'intltool-update <LANGCODE>'


./PKG_NAME.pot: 0 translated messages, 313 untranslated messages.
 
./de.po: 310 translated messages, 3 untranslated messages.
./es.po: 310 translated messages, 3 untranslated messages.
./fr.po: 310 translated messages, 3 untranslated messages.
./it.po: 310 translated messages, 3 untranslated messages.
./ja.po: 310 translated messages, 3 untranslated messages.
./ko.po: 310 translated messages, 3 untranslated messages.
./pt_BR.po: 310 translated messages, 3 untranslated messages.
./ru.po: 310 translated messages, 3 untranslated messages.
./zh_CN.po: 310 translated messages, 3 untranslated messages.
./zh_TW.po: 310 translated messages, 3 untranslated messages.
Comment 9 Noriko Mizumoto 2016-02-01 22:53:38 EST
Hi Thomas
As the stat says there are some untranslated strings, resulting those appears in English. Translation update for rhel7.3 is planned to catch these up.
Atm, rhel-7 branch shows 100%. Could you kindly update POs?

https://fedora.zanata.org/iteration/view/firewalld/RHEL-7
Comment 12 Noriko Mizumoto 2016-02-02 20:10:38 EST
Hi Thomas

Is that possible to push all changes by the end of February? Or could you advise the date when you can submit them all? I like to know the best timing for translation update for future release as well.

Atm I have reserved most of the translation resource btw 9-15 Mar, but German and Italian need to start earlier. I am thinking to procure the translation resource around 12-16 Sep for snapshot-5 inclusion, but then the bug needs to be flagged as blocker, afaik. I may need to speak with PM...

I understood the rebase plan, no fast flag. Thank you for the info.
Comment 14 Noriko Mizumoto 2016-04-29 04:18:55 EDT
Now I can see most of languages status is incomplete on master branch (assuming this branch is for 0.4.x version translation, and Thomas pushed the change). I will use current status as translation workload, and organize the resource to work on this branch. Let me know if I misunderstand.

https://fedora.zanata.org/iteration/view/firewalld/master
Comment 16 Noriko Mizumoto 2016-06-17 00:45:26 EDT
Hi Thomas
Thank you for letting know. I will add this task in third translation period (end of Aug, and this is last slot) to get it done for snapshot-3.

Flagged 'exception'.
Comment 22 Thomas Woerner 2016-07-05 09:02:46 EDT
Hello Norkio, 

do you know a good way how to merge current master into the RHEL-7 tree?

Regards,
Thomas
Comment 24 Noriko Mizumoto 2016-07-07 23:17:57 EDT
I've checked the supported languages completion in master, and those are btw 88% to 100% completion leaving very small portion of untranslated. 

1) Give through review on master branch
2) Update any untranslated to 100% on master
3) Merge master branch to rhel-7.3
4) If any gap (untranslated) appears on rhel-7.3, update them to 100%

I think this is the way to go. As in comment#20, I can arrange 1) and 2). 3) can be done your side, or I can arrange it one-off if you allow me. I dunno how big or small 4) is, and I need to know this gap to evaluate the feasibility.

noriko
Comment 25 sandeep shedmake 2016-08-26 06:07:15 EDT
Tested 'firewalld-0.4.3.2-5.el7' for translation coverage of the required rhel-7.3 languages:
 
de: 374 translated messages, 11 untranslated messages.
es: 385 translated messages.
fr: 351 translated messages, 3 fuzzy translations, 31 untranslated messages.
it: 383 translated messages, 2 untranslated messages.
ja: 340 translated messages, 45 untranslated messages.
ko: 383 translated messages, 2 untranslated messages.
pt_BR: 355 translated messages, 30 untranslated messages.
ru: 354 translated messages, 31 untranslated messages.
zh_CN: 374 translated messages, 11 untranslated messages.
zh_TW: 354 translated messages, 31 untranslated messages.
 
./PKG_NAME.pot: 0 translated messages, 385 untranslated messages.


Thanks
Comment 27 Noriko Mizumoto 2016-09-01 06:49 EDT
Created attachment 1196708 [details]
Russian PO
Comment 28 Noriko Mizumoto 2016-09-01 06:50 EDT
Created attachment 1196709 [details]
Italian PO
Comment 29 Parag Nemade 2016-09-01 23:51 EDT
Created attachment 1197043 [details]
Translations patch for it and ru languages
Comment 30 Parag Nemade 2016-09-01 23:52 EDT
Created attachment 1197044 [details]
spec file changes for above it and ru languages patch
Comment 31 Thomas Woerner 2016-09-05 13:45:41 EDT
There seems to be an issue with the it translation:

(firewall-config:6917): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Unknown tag 'interfaccia' on line 1 char 22
Comment 32 Thomas Woerner 2016-09-05 13:53:17 EDT
There is also this:

msgid "Interfaces"
msgstr "<interfaccia>"
Comment 33 Thomas Woerner 2016-09-05 14:01:08 EDT
I am sorry comment 31 does not apply, but comment 32 does.

I can simply change "<interfaccia>" to "Interfaccia"? Would that be ok?
Comment 34 Noriko Mizumoto 2016-09-06 00:58:41 EDT
Yes, it can be modified as "Interfaccia", thank you.
Sorry taking time as it was outsourced translation and I needed to check native language speaker.
Comment 35 Thomas Woerner 2016-09-06 05:13 EDT
Created attachment 1198147 [details]
Complete translation update patch containing also it and ru
Comment 36 Thomas Woerner 2016-09-06 05:42:01 EDT
(In reply to Noriko Mizumoto from comment #34)
> Yes, it can be modified as "Interfaccia", thank you.
> Sorry taking time as it was outsourced translation and I needed to check
> native language speaker.

Thank you, Noriko

Is it possible and allowed to push the it and ru translations to zanata?
Comment 43 errata-xmlrpc 2016-11-03 17:01:08 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2597.html

Note You need to log in before you can comment on or make changes to this bug.